org.springframework.beans

## Class SimpleTypeConverter

- java.lang.Object
- - org.springframework.beans.PropertyEditorRegistrySupport
  - - org.springframework.beans.TypeConverterSupport
    - - org.springframework.beans.SimpleTypeConverter

All Implemented Interfaces:
  PropertyEditorRegistry, TypeConverter

    public class SimpleTypeConverter
    extends TypeConverterSupport

Simple implementation of the `TypeConverter` interface that does not operate on a specific target object. This is an alternative to using a full-blown BeanWrapperImpl instance for arbitrary type conversion needs, while using the very same conversion algorithm (including delegation to `PropertyEditor` and `ConversionService`) underneath.

Note: Due to its reliance on `PropertyEditors`, SimpleTypeConverter is not thread-safe. Use a separate instance for each thread.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `BeanWrapperImpl`

### Constructor Summary

Constructors
Constructor and Description
`SimpleTypeConverter()`

### Method Summary

### Methods inherited from class org.springframework.beans.TypeConverterSupport

`convertIfNecessary, convertIfNecessary, convertIfNecessary`

### Methods inherited from class org.springframework.beans.PropertyEditorRegistrySupport

`copyCustomEditorsTo, copyDefaultEditorsTo, findCustomEditor, getConversionService, getDefaultEditor, getPropertyType, guessPropertyTypeFromEditors, hasCustomEditorForElement, isSharedEditor, overrideDefaultEditor, registerCustomEditor, registerCustomEditor, registerDefaultEditors, registerSharedEditor, setConversionService, useConfigValueEditors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTypeConverter

    public SimpleTypeConverter()